<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('goods_receivings', function (Blueprint $table) {
            if (Schema::hasColumn('goods_receivings', 'supplier_bill_no'))
                $table->string('supplier_bill_no')->nullable()->change();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('goods_receivings', function (Blueprint $table) {
            //
        });
    }
};
